
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>布局管理器之CardLayout(卡片布局管理器) / 憋错料</title>

    <meta name="description" content="布局管理器之CardLayout(卡片布局管理器) 对于选项卡这个概念大家可能不会陌生,就是在一个窗口中可以切换显示多页不同的内容,但同一时间只能是其中的某一页可见的,这样的一个个的页面就是选项卡. CardLayout就是类似的这样一个布局管理器,它能够让多个组件共享同一个显示空间,共享空间的组件之间的关系就像重叠在一起的一幅扑克牌,组件重叠在一起,初始时显示该空间中第一个组件,通过CardLayout类提供的方法可以切换该空间中显示的组件. 下面我们来看一个例子,实现CardLayout布局管理器的使用. 创建一个使用CardLayout布局">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">布局管理器之CardLayout(卡片布局管理器)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>对于选项卡这个概念大家可能不会陌生，就是在一个窗口中可以切换显示多页不同的内容，但同一时间只能是其中的某一页可见的，这样的一个个的页面就是选项卡。</p>
<p>CardLayout就是类似的这样一个布局管理器，它能够让多个组件共享同一个显示空间，共享空间的组件之间的关系就像重叠在一起的一幅扑克牌，组件重叠在一起，初始时显示该空间中第一个组件，通过CardLayout类提供的方法可以切换该空间中显示的组件。</p>
<p>下面我们来看一个例子，实现CardLayout布局管理器的使用。</p>
<p>创建一个使用CardLayout布局的面板：</p>
<pre><code>// 卡片布局管理器
private CardLayout cardLayout;
// 使用卡片布局管理器的面板
private JPanel cardPnl;

cardLayout = new CardLayout();
cardPnl = new JPanel(cardLayout);
</code></pre>
<p>向面板中添加几张图片，因为面板使用卡片布局，所以所添加的图片是重叠在一起的：</p>
<pre><code>/* 向面板中添加几张图片 */
for (int i = 0; i &lt; 8; i++) {
    final int j = i + 1;
    // 将图片绘制到面板中
    JPanel img = new JPanel() {
        private static final long serialVersionUID = 1L;
        @Override
        protected void paintComponent(Graphics g) {
            g.drawImage(
                    Toolkit.getDefaultToolkit().getImage(
                            "images/Freedom" + j + ".gif"), 0, 0, null);
        }
    };
    // 将图片面板添加到使用了CardLayout的容器面板中
    cardPnl.add("Freedom" + j, img);
}
</code></pre>
<p>添加两个按钮，用于显示上一张图片与下一张图片，并为按钮注册事件监听器，处理事件的方法：</p>
<pre><code>/**
 * 处理按钮点击事件
 */
@Override
public void actionPerformed(ActionEvent e) {
    String cmd = e.getActionCommand(); // 获取是何种操作
    if ("next".equals(cmd)) // 显示下一张图片
        cardLayout.next(cardPnl); // 切换下一个选项卡
    else if ("previous".equals(cmd)) // 显示上一张图片
        cardLayout.previous(cardPnl); // 切换上一个选项卡
}
</code></pre>
<p>我们可以通过调用CardLayout的next()方法翻转到指定容器的下一张卡片，如果当前的可见卡片是最后一个，则翻转到布局的第一张卡片。同样，也可以使用previout()方法翻转到指定容器的前一张卡片。除了这两个方法外，还有last()、first()方法可以翻转到最后一张、第一张卡片，我们也可以直接使用show()方法翻转到指定名称的卡片。</p>
<p>完整示例代码：</p>
<pre>  1 package cardLayout;
  2
  3 import java.awt.BorderLayout;
  4 import java.awt.CardLayout;
  5 import java.awt.Graphics;
  6 import java.awt.Toolkit;
  7 import java.awt.event.ActionEvent;
  8 import java.awt.event.ActionListener;
  9
 10 import javax.swing.JButton;
 11 import javax.swing.JFrame;
 12 import javax.swing.JPanel;
 13 import javax.swing.JTextField;
 14
 15 /**
 16  * 测试卡片布局管理器 如果插入图片的名字不相同的话，就要用多个面板去绘制，因为一个面板只装一张图。名字相同就可以用循环。
 17  *
 18  * @author hellokitty燕
 19  *
 20  */
 21 public class CardLayoutDemo2 extends JFrame implements ActionListener {
 22
 23     private static final long serialVersionUID = 1L;
 24
 25     private CardLayout cardLayout;// 卡片布局管理器
 26     private JPanel jPanel;// 使用卡片布局管理器的面板
 27     private JTextField jTextField;// 用于你输入的跳转页面
 28
 29     public CardLayoutDemo2() {
 30
 31         setTitle("布局管理器之CardLayout");
 32         setSize(600, 600);
 33         setDefaultCloseOperation(EXIT_ON_CLOSE);
 34         setLocationRelativeTo(null);
 35
 36         /* 创建两个按钮，添加到窗体底部，默认窗体布局采用BorderLayout */
 37         JPanel jp = new JPanel();// 面板默认布局使用FlowLayout
 38
 39         JButton up = new JButton("上一张");
 40         JButton next = new JButton("下一张");
 41         jTextField = new JTextField("2");
 42         JButton go = new JButton("go");
 43
 44         jp.add(up);
 45         jp.add(next);
 46         jp.add(jTextField);
 47         jp.add(go);
 48         // 注册按钮监听事件
 49
 50         up.addActionListener(this);
 51         next.addActionListener(this);
 52         go.addActionListener(this);
 53         this.add(jp, BorderLayout.SOUTH);
 54
 55         /* 创建使用CardLayout布局管理器的容器 */
 56         cardLayout = new CardLayout();
 57         jPanel = new JPanel(cardLayout);
 58
 59         /* 向面板中添加几张图片 */
 60
 61         // 将图片绘制到面板中 /
 62         JPanel images = new JPanel() {
 63             private static final long serialVersionUID = 1L;
 64
 65             @Override
 66             protected void paintComponent(Graphics g) {
 67                 super.paintComponent(g);
 68                 g.drawImage(
 69                         Toolkit.getDefaultToolkit().getImage(
 70                                 "src/images/sprite.png"), 200, 100, this);
 71
 72             }
 73
 74         };
 75         // 将图片面板添加到使用了cardLayout容器面板中
 76
 77         jPanel.add("sprite", images);
 78
 79         JPanel img = new JPanel() {
 80
 81             private static final long serialVersionUID = 1L;
 82
 83             @Override
 84             protected void paintComponent(Graphics g) {
 85                 super.paintComponent(g);
 86                 g.drawImage(
 87                         Toolkit.getDefaultToolkit().getImage(
 88                                 "src/images/Freedom1.gif"), 200, 100, this);
 89             }
 90
 91         };
 92
 93         jPanel.add("Freedom1", img);
 94
 95         JPanel im = new JPanel() {
 96
 97             private static final long serialVersionUID = 1L;
 98
 99             @Override
100             protected void paintComponent(Graphics g) {
101                 super.paintComponent(g);
102                 g.drawImage(
103                         Toolkit.getDefaultToolkit().getImage(
104                                 "src/images/sprite1.png"), 200, 100, this);
105             }
106
107         };
108         jPanel.add("sprite1", im);
109
110         // 将使用了CardLayout的面板添加到窗体中显示
111         this.add(jPanel, BorderLayout.CENTER);
112
113         setVisible(true);
114
115     }
116
117     @Override
118     public void actionPerformed(ActionEvent e) {
119         String cmd = e.getActionCommand();
120         if ("下一张".equals(cmd)) {
121             cardLayout.next(jPanel); // 切换下一个选项卡
122         } else if ("上一张".equals(cmd)) {
123             cardLayout.previous(jPanel);// 切换上一个选项卡
124         } else if ("go".equals(cmd)) {
125             cardLayout.show(jPanel, "Freedom" + jTextField.getText());//这个主要是用于名字相似的图片，如果你想跳转的图片名字不一样的话，你就可以去把图片的名字改成相似的。
126         }
127
128     }
129
130     public static void main(String[] args) {
131         new CardLayoutDemo2();
132     }
133 }</pre>
<p>运行效果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMC5jbmJsb2dzLmNvbS9ibG9nMjAxNS82NjQ5MzEvMjAxNTA1LzI1MDkyMjAxMDM3NDY3OC5wbmc=.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 22:52:11 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>布局管理器之CardLayout(卡片布局管理器)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEjQng0.html" rel="bookmark">三十二、Java图形化界面设计&mdash;&mdash;布局管理器之CardLayout（卡片布局）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘自 http://blog.csdn.net/liujun13579/article/details/7773945 三十二.Java图形化界面设计--布局管理器之CardLayout(卡片布局) 卡片布局能够让多个组件共享同一个显示空间,共享空间的组件之间的关系就像一叠牌,组件叠在一起,初始时显示该空间中第一个添加的组件,通过CardLayout类提供的方法可以切换该空间中显示的组件. 1.  CardLayout类的常用构造函数及方法 2.  使用CardLayout类提供的方法可以切换显			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02y5qpM.html" rel="bookmark">Java图形化界面设计&mdash;&mdash;布局管理器之CardLayout（卡片布局）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				卡片布局能够让多个组件共享同一个显示空间,共享空间的组件之间的关系就像一叠牌,组件叠在一起,初始时显示该空间中第一个添加的组件,通过CardLayout类提供的方法可以切换该空间中显示的组件. 1.  CardLayout类的常用构造函数及方法 2.  使用CardLayout类提供的方法可以切换显示该空间中的组件 方法一步骤: (1)      定义使用卡片布局的容器 例如:Panel cardPanel=new Panel(); (2)      定义卡片对象:CardLayout 布局对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47GgWb4.html" rel="bookmark">java Swing布局管理器之CardLayout布局</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CardLayout布局: CardLayout布局管理器能够帮助用户处理两个以至更多的成员共享同一显示空间,它把容器分成许多层,每层的显示空间占据整个容器的大小,但是每层只允许放置一个组件,当然每层都可以利用Panel来实现复杂的用户界面 将容器中的每个组件看作一张卡片.一次只能看到一张卡片,容器则充当卡片的堆栈.当容器第一次显示时,第一个添加到CardLayout 对象的组件为可见组件. 卡片的顺序由组件对象本身在容器内部的顺序决定.CardLayout 定义了一组方法,这些方法允许应用程序			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3OlVNg4.html" rel="bookmark">卡片布局CardView</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CardView用于实现卡片式的布局效果.由appcompat-v7库提供.CardView其实也是一种FrameLayout.用CardView和RecyclerView实现图片文字和卡片布局. 用到RecyclerView和CardView控件,就要在闭包中添加一下依赖 compile 'com.android.support:recyclerview-v7:25.0.0' compile 'com.android.support:cardview-v7:25.0.0' compile 'c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Wg6b0.html" rel="bookmark">卡片布局管理器&lpar;CardLayout&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.作用: 卡片布局管理器是管理器的一种,卡片布局能够让多个组件共享同一个显示空间,共享空间的组件之间的关系就像一叠牌,组件叠在一起,初始时显示该空间中第一个添加的组件,通过CardLayout类提供的方法可以切换该空间中显示的组件. 2.CardLayout的常用构造方法: void   first(Container    parent)               翻转到指定容器的第一张卡片 void   next(Container   parent)               翻转到			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZenWL0.html" rel="bookmark">卡片布局管理器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例因为要制作卡片布局管理器,所以首先要构造框架窗体.先通过函数this.setLayout(new BorderLayout())设置Frame的布局管理器为BorderLayout:再两次实例化Panel类得到两个对象pnlCommandArea和pnlDisplayArea:然后通过函数this.add( pnlCommandArea, BorderLayout.NORTH和函数this.add( pnlDisplayArea, BorderLayout.CENTER) 将两Panel对象			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgZQYK4.html" rel="bookmark">Java图形化界面设计&mdash;&mdash;布局管理器之FlowLayout（流式布局）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.布局管理器所属类包 所属类包 布局管理器名称 说明 Java.awt FlowLayout(流式布局) 组件按照加入的先后顺序按照设置的对齐方式从左向右排列,一行排满到下一行开始继续排列 BorderLayout(边界布局) 容器划分为东.西.南.北.中五个区域,每个区域只能放置一个组件. GridLayout(网格布局) 容器的空间划分成M×N列的网格区域, 每个区域只能放置一个组件. CardLayout(卡片布局) 如同一叠牌,每个牌对应一个组件,但每次只能显示其中的一张牌.适用于在一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Ax5YK3.html" rel="bookmark">转：Java图形化界面设计&mdash;&mdash;布局管理器之FlowLayout（流式布局）其他请参考转载出处网址</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/liujun13579/article/details/7771191 前文讲解了JFrame.JPanel,其中已经涉及到了空布局的使用.Java虽然可以以像素为单位对组件进行精确的定位,但是其在不同的系统中将会有一定的显示差异,使得显示效果不尽相同,为此java提供了布局管理器,以使编写的图形界面具有良好的平台无关性. 注意:所有的布局管理器均是针对容器来使用的,包括顶层容器和中间容器. 一.布局管理器所属类包 所属类包 布局管理器名称 说明 Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MorRbl4.html" rel="bookmark">03 Java图形化界面设计&amp;mdash&semi;&amp;mdash&semi;布局管理器之FlowLayout（流式布局）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前文讲解了JFrame.JPanel,其中已经涉及到了空布局的使用.Java虽然可以以像素为单位对组件进行精确的定位,但是其在不同的系统中将会有一定的显示差异,使得显示效果不尽相同,为此java提供了布局管理器,以使编写的图形界面具有良好的平台无关性. 注意:所有的布局管理器均是针对容器来使用的,包括顶层容器和中间容器. 一.布局管理器所属类包 所属类包 布局管理器名称 说明 Java.awt FlowLayout(流式布局) 组件按照加入的先后顺序按照设置的对齐方式从左向右排列,一行排满到下一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/QM6bvZM.html" rel="bookmark" class="title">Mac OS 在线安装Command line tools</a>
					<div>
						依次打开:Finder——应用程序——实用程序——终端,如下图: 然后录入命令:xcode-select --install 就会自动安装					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDOVk4.html" rel="bookmark" class="title">unsupervised learning&colon; K-means 算法</a>
					<div>
						k-means算法是目前最流行的,用得最多的一种clustering算法 K-means算法 如果我们想要将上图中的绿色的点分为两类,首先随机的选取两个cluster centroids(聚类中心), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eA8YJ0.html" rel="bookmark" class="title">jQuery将物体居中，并且转换显示和隐藏</a>
					<div>
						今天来给大家贴一段代码,代码的作用就是利用jQuery将物体居中,并且转换显示和隐藏: 首先建立一个div标签并且写好css样式,具体如下 然后我想要的效果是当我点击了button这个按钮,test可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAXY83.html" rel="bookmark" class="title">Heartbeat 源码安装报错解决</a>
					<div>
						使用源码安装Cluster Glue 1.0.12.tar.bz2时出现如下错误: d1d9996]# ./configure LIBS='/lib64/libuuid.so.1' .... conf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M62qY5M.html" rel="bookmark" class="title">jstl进步篇</a>
					<div>
						&lt;body&gt; &lt;h1&gt;对map和set的迭代&lt;/h1&gt; &lt;% Map map = new HashMap(); map.put(&quot;1&quot;,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41B2YYM.html" rel="bookmark" class="title">使用sqoop将mysql数据导入到hadoop</a>
					<div>
						hadoop的安装配置这里就不讲了. Sqoop的安装也很简单. 完成sqoop的安装后,可以这样测试是否可以连接到mysql(注意:mysql的jar包要放到 SQOOP_HOME/lib 下):  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzAje84.html" rel="bookmark" class="title">使用Python扫描网络MAC地址对应的IP地址</a>
					<div>
						#!/usr/bin/env python # -*- coding: utf-8 -*- from scapy.all import srp,Ether,ARP,conf ipscan='192.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65QNv4.html" rel="bookmark" class="title">【示例】C语言中利用数组存放函数指针</a>
					<div>
						C语言中利用数组存放函数指针,增加函数使用的灵活性.使用时只需提供数组索引,即可调用不同函数. 预备知识: 1.指向函数的指针 一个函数在编译时被分配一个入口地址,这个地址就被称为函数的指针. 例如: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZmQX3.html" rel="bookmark" class="title">规范那头发</a>
					<div>
						http://quote.hexun.com/stock/icb.aspx?code=1&amp;name=%A8%80%C4%C4%C0%EF%B6%A9%B9%BA%CA%A7%D2%E4%CB% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDr1Zk3.html" rel="bookmark" class="title">jQuery选择器总结（转发）</a>
					<div>
						jQuery 的选择器可谓之强大无比,这里简单地总结一下常用的元素查找方法 $(&quot;#myELement&quot;)    选择id值等于myElement的元素,id值不能重复在文档中只能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NjaZJ4.html" rel="bookmark" class="title">lua调用shell 脚本</a>
					<div>
						Lua中,os.execute可以执行dos命令,但是返回的是系统状态码,默认输出.io.popen()也可以执行dos命令,但是返回一个文件.eg: 复制代码 代码如下: local t = io. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpKXo4.html" rel="bookmark" class="title">codevs&mdash;&mdash;T1814 最长链</a>
					<div>
						http://codevs.cn/problem/1814/ 时间限制: 1 s 空间限制: 256000 KB 题目等级 : 钻石 Diamond 题解 查看运行结果 题目描述 Descriptio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8ex8M.html" rel="bookmark" class="title">蓝桥杯&mdash;&mdash;先进的多说好树遍历</a>
					<div>
						多 - 树,一般来讲.而二叉树类似的.但是,它可能有叉树结构.分类似在电脑的文件夹. static class MyTree { private Map map = new HashMap(); pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dzEPB4.html" rel="bookmark" class="title">三个技巧助你在运维职业上获得成功</a>
					<div>
						使DevOps和传统IT工作者恰如其分地配合工作,通常是费力不讨好的事. 终端用户希望没有中断的完美体验.为了达到这一目的,终端用户不需要知道运维做了什么工作.正如IT运维和DevOps专家所知道的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBO8AM.html" rel="bookmark" class="title">Mac安装Appium的Android环境</a>
					<div>
						1.下载android sdk http://down.tech.sina.com.cn/page/45703.html 2.解压,配置环境变量 ANDROID_HOME=/Users/wp/dev/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41eEgO4.html" rel="bookmark" class="title">ArcGIS API for JavaScript开发初探&mdash;&mdash;基本地图组件使用</a>
					<div>
						1.前言 在上一篇我们已经我们已经讲述了第一个地图应用程序的HelloMap的创建过程,这一篇我们来讲述基本地图组件:Home Button.比例尺.鹰眼图的使用方法. 2.基本地图组件 在ArcGI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RjoDR0.html" rel="bookmark" class="title">Linux netstat 命令</a>
					<div>
						Netstat 命令用于显示各种网络相关信息,如网络连接,路由表,接口状态 (Interface Statistics),masquerade 连接,多播成员 (Multicast Membershi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQapBM.html" rel="bookmark" class="title">描点链接</a>
					<div>
						实现描点链接: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OQzoGM.html" rel="bookmark" class="title">认识node&period;js</a>
					<div>
						昨天面了一家做教育信息化的公司,期间问到对nodejs的理解.虽然做了6年的web开发,但是一直在传统行业,对新技术一窍不通,深感自己眼界太窄.回来花了几个小时时间研究了一下,深深被这种技术吸引.以前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnpb73.html" rel="bookmark" class="title">ubuntu14&period;04 安装手动编译 zabbix proxy</a>
					<div>
						一.环境说明 ubuntu 14.06 zabbix-2.4.5 mysql-5.5 二.编译安装步骤 1.系统更新 sudo apt-get update &amp;&amp; sudo apt-g ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
